# Cilium debug information

#### Kernel version

```
6.1.58
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                    IPv6   IPv4           STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                       
5          Disabled           Disabled          4          reserved:health                                                                       10.7.217.166   ready   
63         Disabled           Disabled          1          k8s:cloud.google.com/gke-boot-disk=pd-standard                                                       ready   
                                                           k8s:cloud.google.com/gke-container-runtime=containerd                                                        
                                                           k8s:cloud.google.com/gke-cpu-scaling-level=2                                                                 
                                                           k8s:cloud.google.com/gke-logging-variant=DEFAULT                                                             
                                                           k8s:cloud.google.com/gke-max-pods-per-node=110                                                               
                                                           k8s:cloud.google.com/gke-nodepool=default-pool                                                               
                                                           k8s:cloud.google.com/gke-os-distribution=cos                                                                 
                                                           k8s:cloud.google.com/gke-preemptible=true                                                                    
                                                           k8s:cloud.google.com/gke-provisioning=preemptible                                                            
                                                           k8s:cloud.google.com/gke-stack-type=IPV4                                                                     
                                                           k8s:cloud.google.com/machine-family=e2                                                                       
                                                           k8s:cloud.google.com/private-node=false                                                                      
                                                           k8s:node.kubernetes.io/instance-type=e2-custom-2-4096                                                        
                                                           k8s:topology.gke.io/zone=us-west2-a                                                                          
                                                           k8s:topology.kubernetes.io/region=us-west2                                                                   
                                                           k8s:topology.kubernetes.io/zone=us-west2-a                                                                   
                                                           reserved:host                                                                                                
111        Disabled           Disabled          185572     k8s:app.kubernetes.io/name=rule-evaluator                                             10.7.217.69    ready   
                                                           k8s:app.kubernetes.io/version=0.8.1                                                                          
                                                           k8s:app=managed-prometheus-rule-evaluator                                                                    
                                                           k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile                                 
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=gmp-system                                    
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2                                            
                                                           k8s:io.cilium.k8s.policy.serviceaccount=collector                                                            
                                                           k8s:io.kubernetes.pod.namespace=gmp-system                                                                   
220        Disabled           Disabled          8          reserved:ingress                                                                      10.7.217.83    ready   
232        Disabled           Disabled          156200     k8s:app.kubernetes.io/name=collector                                                  10.7.217.43    ready   
                                                           k8s:app.kubernetes.io/version=0.8.1                                                                          
                                                           k8s:app=managed-prometheus-collector                                                                         
                                                           k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile                                 
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=gmp-system                                    
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2                                            
                                                           k8s:io.cilium.k8s.policy.serviceaccount=collector                                                            
                                                           k8s:io.kubernetes.pod.namespace=gmp-system                                                                   
747        Disabled           Disabled          167017     k8s:first=echo                                                                        10.7.217.205   ready   
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test                                   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2                                            
                                                           k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node                                                      
                                                           k8s:io.kubernetes.pod.namespace=cilium-test                                                                  
                                                           k8s:kind=echo                                                                                                
                                                           k8s:name=echo-other-node                                                                                     
3754       Disabled           Disabled          145166     k8s:app.kubernetes.io/name=clustermesh-apiserver                                      10.7.217.54    ready   
                                                           k8s:app.kubernetes.io/part-of=cilium                                                                         
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                                   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2                                            
                                                           k8s:io.cilium.k8s.policy.serviceaccount=clustermesh-apiserver                                                
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                  
                                                           k8s:k8s-app=clustermesh-apiserver                                                                            
4054       Disabled           Disabled          143977     k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system            10.7.217.36    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2                                            
                                                           k8s:io.cilium.k8s.policy.serviceaccount=metrics-server                                                       
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                  
                                                           k8s:k8s-app=metrics-server                                                                                   
                                                           k8s:version=v0.6.3                                                                                           
```

#### BPF Policy Get 5

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES   PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    21137   264       0        
Allow    Ingress     1          ANY          NONE         disabled    10721   122       0        
Allow    Egress      0          ANY          NONE         disabled    0       0         0        

```


#### BPF CT List 5

```
Invalid argument: unknown type 5
```


#### Endpoint Get 5

```
[
  {
    "id": 5,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-5-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "3561c62b-afea-461b-87f7-587416b17bf0"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-5",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:26:03.242Z",
            "success-count": 3
          },
          "uuid": "0a8112ce-d888-4da6-b710-45010e76b320"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-5",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:06.624Z",
            "success-count": 1
          },
          "uuid": "c37bc37a-023e-4e19-9c31-3162b72dde70"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2024-04-29T21:16:25Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.7.217.166",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "a6:43:52:6f:9f:1a",
        "interface-index": 17,
        "interface-name": "lxc_health",
        "mac": "d2:4b:90:74:a7:f5"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 63,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 63
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 5

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 5

```
Timestamp              Status   State                   Message
2024-04-29T21:16:25Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-29T21:16:25Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:25Z   OK       regenerating            Regenerating endpoint: 
2024-04-29T21:16:25Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-29T21:16:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:24Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-29T21:16:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:06Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-29T21:16:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-29T21:16:03Z   OK       ready                   Set identity for this endpoint
2024-04-29T21:16:02Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 63

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES   PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0       0         0        
Allow    Egress      0          ANY          NONE         disabled    0       0         0        

```


#### BPF CT List 63

```
Invalid argument: unknown type 63
```


#### Endpoint Get 63

```
[
  {
    "id": 63,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-63-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "572a65a8-812e-472b-87ce-1d6184a96e2f"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "resolve-labels-/",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:02.142Z",
            "success-count": 1
          },
          "uuid": "384d0461-77fa-4dbe-95e4-d6cba844ac0b"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (63)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:02.138Z",
            "success-count": 1
          },
          "uuid": "32eaacbc-b714-4ec3-b2ff-97a59d6abde4"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-63",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:09.558Z",
            "success-count": 1
          },
          "uuid": "cb82ba05-4dec-433f-8c7e-18e6d580b29b"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "k8s:cloud.google.com/gke-os-distribution=cos",
          "reserved:host",
          "k8s:topology.gke.io/zone=us-west2-a",
          "k8s:cloud.google.com/gke-max-pods-per-node=110",
          "k8s:topology.kubernetes.io/zone=us-west2-a",
          "k8s:node.kubernetes.io/instance-type=e2-custom-2-4096",
          "k8s:cloud.google.com/gke-provisioning=preemptible",
          "k8s:cloud.google.com/gke-stack-type=IPV4",
          "k8s:topology.kubernetes.io/region=us-west2",
          "k8s:cloud.google.com/gke-boot-disk=pd-standard",
          "k8s:cloud.google.com/machine-family=e2",
          "k8s:cloud.google.com/gke-logging-variant=DEFAULT",
          "k8s:cloud.google.com/gke-preemptible=true",
          "k8s:cloud.google.com/gke-container-runtime=containerd",
          "k8s:cloud.google.com/gke-nodepool=default-pool",
          "k8s:cloud.google.com/private-node=false",
          "k8s:cloud.google.com/gke-cpu-scaling-level=2"
        ]
      },
      "labels": {
        "derived": [
          "k8s:cloud.google.com/gke-boot-disk=pd-standard",
          "k8s:cloud.google.com/gke-container-runtime=containerd",
          "k8s:cloud.google.com/gke-cpu-scaling-level=2",
          "k8s:cloud.google.com/gke-logging-variant=DEFAULT",
          "k8s:cloud.google.com/gke-max-pods-per-node=110",
          "k8s:cloud.google.com/gke-nodepool=default-pool",
          "k8s:cloud.google.com/gke-os-distribution=cos",
          "k8s:cloud.google.com/gke-preemptible=true",
          "k8s:cloud.google.com/gke-provisioning=preemptible",
          "k8s:cloud.google.com/gke-stack-type=IPV4",
          "k8s:cloud.google.com/machine-family=e2",
          "k8s:cloud.google.com/private-node=false",
          "k8s:node.kubernetes.io/instance-type=e2-custom-2-4096",
          "k8s:topology.gke.io/zone=us-west2-a",
          "k8s:topology.kubernetes.io/region=us-west2",
          "k8s:topology.kubernetes.io/zone=us-west2-a",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:cloud.google.com/gke-boot-disk=pd-standard",
          "k8s:cloud.google.com/gke-container-runtime=containerd",
          "k8s:cloud.google.com/gke-cpu-scaling-level=2",
          "k8s:cloud.google.com/gke-logging-variant=DEFAULT",
          "k8s:cloud.google.com/gke-max-pods-per-node=110",
          "k8s:cloud.google.com/gke-nodepool=default-pool",
          "k8s:cloud.google.com/gke-os-distribution=cos",
          "k8s:cloud.google.com/gke-preemptible=true",
          "k8s:cloud.google.com/gke-provisioning=preemptible",
          "k8s:cloud.google.com/gke-stack-type=IPV4",
          "k8s:cloud.google.com/machine-family=e2",
          "k8s:cloud.google.com/private-node=false",
          "k8s:node.kubernetes.io/instance-type=e2-custom-2-4096",
          "k8s:topology.gke.io/zone=us-west2-a",
          "k8s:topology.kubernetes.io/region=us-west2",
          "k8s:topology.kubernetes.io/zone=us-west2-a",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2024-04-29T21:16:25Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "f6:90:87:a7:50:3c",
        "interface-name": "cilium_host",
        "mac": "f6:90:87:a7:50:3c"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 63,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 63
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 63

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 63

```
Timestamp              Status   State                   Message
2024-04-29T21:16:25Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-29T21:16:25Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:25Z   OK       regenerating            Regenerating endpoint: 
2024-04-29T21:16:25Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-29T21:16:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:24Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:09Z   OK       ready                   Successfully regenerated endpoint program (Reason: syncing state to host)
2024-04-29T21:16:09Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:05Z   OK       regenerating            Regenerating endpoint: syncing state to host
2024-04-29T21:16:02Z   OK       restoring               Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-29T21:16:02Z   OK       restoring               Synchronizing endpoint labels with KVStore
2024-04-29T21:16:01Z   OK       restoring               Restoring endpoint from previous cilium instance
2024-04-29T21:16:01Z   OK       restoring               Endpoint restoring

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 111

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES    PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0        0         0        
Allow    Ingress     1          ANY          NONE         disabled    111291   1251      0        
Allow    Egress      0          ANY          NONE         disabled    8487     75        0        

```


#### BPF CT List 111

```
Invalid argument: unknown type 111
```


#### Endpoint Get 111

```
[
  {
    "id": 111,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-111-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d4fe845b-aab7-45ee-a40b-ad082f34a72a"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "resolve-labels-gmp-system/rule-evaluator-7cb9ffd579-99587",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:06.182Z",
            "success-count": 2
          },
          "uuid": "2264b5e5-1338-46f3-9100-c27e3f209a9b"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (111)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:02.140Z",
            "success-count": 1
          },
          "uuid": "f7771d9a-4265-4c19-98a7-3ee7b7bc0141"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-111",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:06.182Z",
            "success-count": 1
          },
          "uuid": "88fc1ffe-a65b-4ea4-b473-99170e984437"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (111)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:28:42.209Z",
            "success-count": 77
          },
          "uuid": "8d66306c-2529-4f92-89bf-03a0db95ba4f"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (111)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:02.140Z",
            "success-count": 1
          },
          "uuid": "25fcfad7-b6ca-4898-846c-61e2da6900ac"
        }
      ],
      "external-identifiers": {
        "cni-attachment-id": "85424c8a0589a0d08b34564738886638899caf168ae5a27decb50c2f32647ced:eth0",
        "container-id": "85424c8a0589a0d08b34564738886638899caf168ae5a27decb50c2f32647ced",
        "k8s-namespace": "gmp-system",
        "k8s-pod-name": "rule-evaluator-7cb9ffd579-99587",
        "pod-name": "gmp-system/rule-evaluator-7cb9ffd579-99587"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 185572,
        "labels": [
          "k8s:app.kubernetes.io/version=0.8.1",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=gmp-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=collector",
          "k8s:app=managed-prometheus-rule-evaluator",
          "k8s:app.kubernetes.io/name=rule-evaluator",
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2",
          "k8s:io.kubernetes.pod.namespace=gmp-system"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=7cb9ffd579"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:app.kubernetes.io/name=rule-evaluator",
          "k8s:app.kubernetes.io/version=0.8.1",
          "k8s:app=managed-prometheus-rule-evaluator",
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=gmp-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2",
          "k8s:io.cilium.k8s.policy.serviceaccount=collector",
          "k8s:io.kubernetes.pod.namespace=gmp-system"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2024-04-29T21:16:25Z"
        }
      ],
      "namedPorts": [
        {
          "name": "cfg-rel-metrics",
          "port": 19093,
          "protocol": "TCP"
        },
        {
          "name": "r-eval-metrics",
          "port": 19092,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.7.217.69",
            "ipv4-pool-name": "default"
          }
        ],
        "container-interface-name": "eth0",
        "host-mac": "3a:08:bd:62:b7:8f",
        "interface-index": 9,
        "interface-name": "lxc2f446a9d7dd2",
        "mac": "a6:fc:4f:91:f3:71"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 63,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 185572,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 63
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 185572,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 111

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 111

```
Timestamp              Status   State                   Message
2024-04-29T21:16:25Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-29T21:16:25Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:25Z   OK       regenerating            Regenerating endpoint: 
2024-04-29T21:16:25Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-29T21:16:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:24Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: syncing state to host)
2024-04-29T21:16:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:05Z   OK       regenerating            Regenerating endpoint: syncing state to host
2024-04-29T21:16:02Z   OK       restoring               Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-29T21:16:02Z   OK       restoring               Synchronizing endpoint labels with KVStore
2024-04-29T21:16:01Z   OK       restoring               Restoring endpoint from previous cilium instance
2024-04-29T21:16:01Z   OK       restoring               Endpoint restoring

```


#### Identity get 185572

```
ID       LABELS
185572   k8s:app.kubernetes.io/name=rule-evaluator
         k8s:app.kubernetes.io/version=0.8.1
         k8s:app=managed-prometheus-rule-evaluator
         k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile
         k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=gmp-system
         k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2
         k8s:io.cilium.k8s.policy.serviceaccount=collector
         k8s:io.kubernetes.pod.namespace=gmp-system

```


#### BPF Policy Get 220

```
Error: Failed to open map: loading pinned map /sys/fs/bpf/tc/globals/cilium_policy_00220: no such file or directory


```


#### BPF CT List 220

```
Invalid argument: unknown type 220
```


#### Endpoint Get 220

```
[
  {
    "id": 220,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-220-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "9d2415e3-5d13-4eae-ac81-6e8d33a6b016"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-220",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:26:02.156Z",
            "success-count": 3
          },
          "uuid": "d8e3a1ae-31b9-419a-8fb8-2c2f5eba8df8"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 8,
        "labels": [
          "reserved:ingress"
        ]
      },
      "labels": {
        "derived": [
          "reserved:ingress"
        ],
        "realized": {},
        "security-relevant": [
          "reserved:ingress"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2024-04-29T21:16:25Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.7.217.83"
          }
        ]
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 63,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 63
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 220

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 220

```
Timestamp              Status   State                   Message
2024-04-29T21:16:25Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-29T21:16:25Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:25Z   OK       regenerating            Regenerating endpoint: 
2024-04-29T21:16:25Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-29T21:16:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:24Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-29T21:16:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:06Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-29T21:16:02Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-29T21:16:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-29T21:16:02Z   OK       ready                   Set identity for this endpoint
2024-04-29T21:16:02Z   OK       waiting-for-identity    Ingress Endpoint creation

```


#### Identity get 8

```
ID   LABELS
8    reserved:ingress

```


#### BPF Policy Get 232

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES    PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0        0         0        
Allow    Ingress     1          ANY          NONE         disabled    112677   1272      0        
Allow    Egress      0          ANY          NONE         disabled    5200     55        0        

```


#### BPF CT List 232

```
Invalid argument: unknown type 232
```


#### Endpoint Get 232

```
[
  {
    "id": 232,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-232-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "adecf816-ef9b-4563-a7a4-e16ad9a8de95"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "resolve-labels-gmp-system/collector-d24g4",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:06.388Z",
            "success-count": 2
          },
          "uuid": "67b0f9ed-7735-45ef-9472-66ff678afbe5"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (232)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:02.143Z",
            "success-count": 1
          },
          "uuid": "73827169-0e3b-4ed4-980d-feff1ac5ce3e"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-232",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:06.388Z",
            "success-count": 1
          },
          "uuid": "caab3b9f-3361-4418-a9aa-47efca5e5c49"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (232)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:28:42.209Z",
            "success-count": 77
          },
          "uuid": "c2f28dd1-992b-4057-9ebc-1bef3f52e469"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (232)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:02.143Z",
            "success-count": 1
          },
          "uuid": "c46a17b4-7d64-4d35-af8d-00cd2cf3badc"
        }
      ],
      "external-identifiers": {
        "cni-attachment-id": "0e7f757d3a7c65fc4195fcbe34515780fde57c3c4b50b7801d0555ea2d6458ef:eth0",
        "container-id": "0e7f757d3a7c65fc4195fcbe34515780fde57c3c4b50b7801d0555ea2d6458ef",
        "k8s-namespace": "gmp-system",
        "k8s-pod-name": "collector-d24g4",
        "pod-name": "gmp-system/collector-d24g4"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 156200,
        "labels": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=gmp-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=collector",
          "k8s:io.kubernetes.pod.namespace=gmp-system",
          "k8s:app.kubernetes.io/name=collector",
          "k8s:app.kubernetes.io/version=0.8.1",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2",
          "k8s:app=managed-prometheus-collector",
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile"
        ]
      },
      "labels": {
        "derived": [
          "k8s:controller-revision-hash=845cf8ff4c",
          "k8s:pod-template-generation=2"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:app.kubernetes.io/name=collector",
          "k8s:app.kubernetes.io/version=0.8.1",
          "k8s:app=managed-prometheus-collector",
          "k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=gmp-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2",
          "k8s:io.cilium.k8s.policy.serviceaccount=collector",
          "k8s:io.kubernetes.pod.namespace=gmp-system"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2024-04-29T21:16:25Z"
        }
      ],
      "namedPorts": [
        {
          "name": "cfg-rel-metrics",
          "port": 19091,
          "protocol": "TCP"
        },
        {
          "name": "prom-metrics",
          "port": 19090,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.7.217.43",
            "ipv4-pool-name": "default"
          }
        ],
        "container-interface-name": "eth0",
        "host-mac": "ea:6d:94:35:cf:18",
        "interface-index": 11,
        "interface-name": "lxc8c9339e4661e",
        "mac": "72:4b:2d:ba:80:2c"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 63,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 156200,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 63
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 156200,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 232

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 232

```
Timestamp              Status   State                   Message
2024-04-29T21:16:25Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-29T21:16:25Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:25Z   OK       regenerating            Regenerating endpoint: 
2024-04-29T21:16:25Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-29T21:16:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:24Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: syncing state to host)
2024-04-29T21:16:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:06Z   OK       regenerating            Regenerating endpoint: syncing state to host
2024-04-29T21:16:02Z   OK       restoring               Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-29T21:16:02Z   OK       restoring               Synchronizing endpoint labels with KVStore
2024-04-29T21:16:01Z   OK       restoring               Restoring endpoint from previous cilium instance
2024-04-29T21:16:01Z   OK       restoring               Endpoint restoring

```


#### Identity get 156200

```
ID       LABELS
156200   k8s:app.kubernetes.io/name=collector
         k8s:app.kubernetes.io/version=0.8.1
         k8s:app=managed-prometheus-collector
         k8s:io.cilium.k8s.namespace.labels.addonmanager.kubernetes.io/mode=Reconcile
         k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=gmp-system
         k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2
         k8s:io.cilium.k8s.policy.serviceaccount=collector
         k8s:io.kubernetes.pod.namespace=gmp-system

```


#### BPF Policy Get 747

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES    PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    3071     33        0        
Allow    Ingress     1          ANY          NONE         disabled    736220   8612      0        
Allow    Egress      0          ANY          NONE         disabled    0        0         0        

```


#### BPF CT List 747

```
Invalid argument: unknown type 747
```


#### Endpoint Get 747

```
[
  {
    "id": 747,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-747-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "88555dcb-9c88-459d-b6e5-8c51b9bc6968"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-747",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:26:23.606Z",
            "success-count": 3
          },
          "uuid": "42f81261-7a11-4a37-96a2-17fb1e069b05"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "resolve-labels-cilium-test/echo-other-node-d8c5659dc-xtj6l",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:23.604Z",
            "success-count": 1
          },
          "uuid": "f61e3ee5-0014-4a9a-995c-caa7c7ed1353"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-747",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:23.856Z",
            "success-count": 1
          },
          "uuid": "78ea35e5-2729-4387-b08e-423c8e13e671"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (747)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:28:43.725Z",
            "success-count": 76
          },
          "uuid": "83633461-d413-4092-b204-10e2db52f31a"
        }
      ],
      "external-identifiers": {
        "cni-attachment-id": "b19818d31ecf5ee88da4db63148d506504f4603fc9bd661d0ecca4baf7565111:eth0",
        "container-id": "b19818d31ecf5ee88da4db63148d506504f4603fc9bd661d0ecca4baf7565111",
        "k8s-namespace": "cilium-test",
        "k8s-pod-name": "echo-other-node-d8c5659dc-xtj6l",
        "pod-name": "cilium-test/echo-other-node-d8c5659dc-xtj6l"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 167017,
        "labels": [
          "k8s:kind=echo",
          "k8s:name=echo-other-node",
          "k8s:first=echo",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test",
          "k8s:io.kubernetes.pod.namespace=cilium-test",
          "k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=d8c5659dc"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:first=echo",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2",
          "k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node",
          "k8s:io.kubernetes.pod.namespace=cilium-test",
          "k8s:kind=echo",
          "k8s:name=echo-other-node"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: policy rules added)",
          "state": "ready",
          "timestamp": "2024-04-29T21:24:37Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns-53",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "dns-udp-53",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "http-8080",
          "port": 8080,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.7.217.205",
            "ipv4-pool-name": "default"
          }
        ],
        "container-interface-name": "eth0",
        "host-mac": "26:99:8c:79:78:22",
        "interface-index": 19,
        "interface-name": "lxcdad2239843d4",
        "mac": "ea:24:73:31:ad:eb"
      },
      "policy": {
        "proxy-policy-revision": 43,
        "proxy-statistics": [
          {
            "location": "ingress",
            "port": 8080,
            "protocol": "http",
            "statistics": {
              "requests": {
                "denied": 2,
                "forwarded": 4,
                "received": 6
              },
              "responses": {
                "forwarded": 6,
                "received": 6
              }
            }
          }
        ],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 63,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 167017,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 63
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 43,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 167017,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 43
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 747

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 747

```
Timestamp              Status   State                   Message
2024-04-29T21:24:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:24:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:24:37Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:24:37Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:24:07Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:24:07Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:24:07Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:24:07Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:24:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:24:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:24:05Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:24:05Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:23:36Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:23:36Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:23:35Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:23:35Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:21:28Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:21:28Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:21:28Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:21:28Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:21:16Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:21:16Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:21:16Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:21:16Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:21:14Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:21:14Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:21:14Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:21:14Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:21:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:21:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:21:02Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:21:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:21:00Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:21:00Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:21:00Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:21:00Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:20:56Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:20:56Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:20:56Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:20:56Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:20:54Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:20:42Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:20:42Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:20:41Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:20:41Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:19:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:19:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:19:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:19:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:19:25Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2024-04-29T21:19:25Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:19:25Z   OK       regenerating            Regenerating endpoint: policy rules added
2024-04-29T21:19:25Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2024-04-29T21:16:25Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-29T21:16:25Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:25Z   OK       regenerating            Regenerating endpoint: 
2024-04-29T21:16:25Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-29T21:16:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:24Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-29T21:16:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:23Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-29T21:16:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-29T21:16:23Z   OK       ready                   Set identity for this endpoint
2024-04-29T21:16:23Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 167017

```
ID       LABELS
167017   k8s:first=echo
         k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cilium-test
         k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2
         k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node
         k8s:io.kubernetes.pod.namespace=cilium-test
         k8s:kind=echo
         k8s:name=echo-other-node

```


#### BPF Policy Get 3754

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES    PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    172663   1444      0        
Allow    Ingress     1          ANY          NONE         disabled    0        0         0        
Allow    Egress      0          ANY          NONE         disabled    25106    252       0        

```


#### BPF CT List 3754

```
Invalid argument: unknown type 3754
```


#### Endpoint Get 3754

```
[
  {
    "id": 3754,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-3754-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "9a6747f4-39d2-4c13-972d-d799597d9b8e"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "resolve-labels-kube-system/clustermesh-apiserver-94f65c5c8-4gxd2",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:06.623Z",
            "success-count": 2
          },
          "uuid": "b6108789-489e-461e-9f84-a0ef3a0680c3"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (3754)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:02.138Z",
            "success-count": 1
          },
          "uuid": "7597231f-1b58-45f2-aae8-00bb0a42004d"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-3754",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:05.988Z",
            "success-count": 1
          },
          "uuid": "21741ced-fe8f-487a-986e-954e3a5131e7"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (3754)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:28:42.209Z",
            "success-count": 77
          },
          "uuid": "93e8e3a6-e4ff-49cf-a572-09e19796f872"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (3754)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:02.138Z",
            "success-count": 1
          },
          "uuid": "0db8c046-dce9-407a-8379-6b61fd0e5b84"
        }
      ],
      "external-identifiers": {
        "cni-attachment-id": "7fe07be015445c597fa5bd8eda991ab47b89536421e5ad650ce5caf3a9717f24:eth0",
        "container-id": "7fe07be015445c597fa5bd8eda991ab47b89536421e5ad650ce5caf3a9717f24",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "clustermesh-apiserver-94f65c5c8-4gxd2",
        "pod-name": "kube-system/clustermesh-apiserver-94f65c5c8-4gxd2"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 145166,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2",
          "k8s:io.cilium.k8s.policy.serviceaccount=clustermesh-apiserver",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=clustermesh-apiserver",
          "k8s:app.kubernetes.io/name=clustermesh-apiserver",
          "k8s:app.kubernetes.io/part-of=cilium",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=94f65c5c8"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:app.kubernetes.io/name=clustermesh-apiserver",
          "k8s:app.kubernetes.io/part-of=cilium",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2",
          "k8s:io.cilium.k8s.policy.serviceaccount=clustermesh-apiserver",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=clustermesh-apiserver"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2024-04-29T21:16:25Z"
        }
      ],
      "namedPorts": [
        {
          "name": "apiserv-metrics",
          "port": 9962,
          "protocol": "TCP"
        },
        {
          "name": "etcd",
          "port": 2379,
          "protocol": "TCP"
        },
        {
          "name": "etcd-metrics",
          "port": 9963,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.7.217.54",
            "ipv4-pool-name": "default"
          }
        ],
        "container-interface-name": "eth0",
        "host-mac": "3e:d4:ee:10:05:92",
        "interface-index": 15,
        "interface-name": "lxc297c1cb076c2",
        "mac": "9a:12:4a:cb:90:9e"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 63,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 145166,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 63
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 145166,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 3754

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 3754

```
Timestamp              Status   State                   Message
2024-04-29T21:16:25Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-29T21:16:25Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:25Z   OK       regenerating            Regenerating endpoint: 
2024-04-29T21:16:25Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-29T21:16:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:24Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:05Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: syncing state to host)
2024-04-29T21:16:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:02Z   OK       regenerating            Regenerating endpoint: syncing state to host
2024-04-29T21:16:02Z   OK       restoring               Synchronizing endpoint labels with KVStore
2024-04-29T21:16:01Z   OK       restoring               Restoring endpoint from previous cilium instance
2024-04-29T21:16:01Z   OK       restoring               Endpoint restoring

```


#### Identity get 145166

```
ID       LABELS
145166   k8s:app.kubernetes.io/name=clustermesh-apiserver
         k8s:app.kubernetes.io/part-of=cilium
         k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
         k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2
         k8s:io.cilium.k8s.policy.serviceaccount=clustermesh-apiserver
         k8s:io.kubernetes.pod.namespace=kube-system
         k8s:k8s-app=clustermesh-apiserver

```


#### BPF Policy Get 4054

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES    PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    82444    882       0        
Allow    Ingress     1          ANY          NONE         disabled    143317   1341      0        
Allow    Egress      0          ANY          NONE         disabled    293214   2869      0        

```


#### BPF CT List 4054

```
Invalid argument: unknown type 4054
```


#### Endpoint Get 4054

```
[
  {
    "id": 4054,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-4054-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "e1173b59-6bbd-43fe-9a33-bc14a7c1a615"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "resolve-labels-kube-system/metrics-server-v0.6.3-764c8d87d9-zdf5w",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:06.623Z",
            "success-count": 2
          },
          "uuid": "5f7695ff-c7fc-4703-82bb-533ea9011da6"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (4054)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:02.139Z",
            "success-count": 1
          },
          "uuid": "e7bdc6ef-bba9-4944-9222-a236c9535585"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-4054",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:05.961Z",
            "success-count": 1
          },
          "uuid": "249b820d-82c8-4b7e-8675-603030ed8e82"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (4054)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:28:42.209Z",
            "success-count": 77
          },
          "uuid": "d3a5fdbe-6d6d-421b-b7c1-4a49c91c1236"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (4054)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-29T21:16:02.139Z",
            "success-count": 1
          },
          "uuid": "36023c56-4478-4088-a304-e5d663a539f2"
        }
      ],
      "external-identifiers": {
        "cni-attachment-id": "39330df808bd37d77a8be0e3251f15cc354eb7619f93a9f67cc6f5a68b109590:eth0",
        "container-id": "39330df808bd37d77a8be0e3251f15cc354eb7619f93a9f67cc6f5a68b109590",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "metrics-server-v0.6.3-764c8d87d9-zdf5w",
        "pod-name": "kube-system/metrics-server-v0.6.3-764c8d87d9-zdf5w"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 143977,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=metrics-server",
          "k8s:version=v0.6.3",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2",
          "k8s:io.cilium.k8s.policy.serviceaccount=metrics-server"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=764c8d87d9"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2",
          "k8s:io.cilium.k8s.policy.serviceaccount=metrics-server",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=metrics-server",
          "k8s:version=v0.6.3"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: )",
          "state": "ready",
          "timestamp": "2024-04-29T21:16:25Z"
        }
      ],
      "namedPorts": [
        {
          "name": "https",
          "port": 10250,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.7.217.36",
            "ipv4-pool-name": "default"
          }
        ],
        "container-interface-name": "eth0",
        "host-mac": "1e:8d:04:cd:63:fa",
        "interface-index": 13,
        "interface-name": "lxce6aa7c40a202",
        "mac": "1a:2d:f9:bd:79:22"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 63,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 143977,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 63
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 143977,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 4054

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 4054

```
Timestamp              Status   State                   Message
2024-04-29T21:16:25Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-29T21:16:25Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:25Z   OK       regenerating            Regenerating endpoint: 
2024-04-29T21:16:25Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-29T21:16:24Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:24Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:24Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:24Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-29T21:16:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-29T21:16:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-29T21:16:05Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: syncing state to host)
2024-04-29T21:16:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-29T21:16:02Z   OK       regenerating            Regenerating endpoint: syncing state to host
2024-04-29T21:16:02Z   OK       restoring               Synchronizing endpoint labels with KVStore
2024-04-29T21:16:01Z   OK       restoring               Restoring endpoint from previous cilium instance
2024-04-29T21:16:01Z   OK       restoring               Endpoint restoring

```


#### Identity get 143977

```
ID       LABELS
143977   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
         k8s:io.cilium.k8s.policy.cluster=cilium-cilium-cli-8885391193-1-2
         k8s:io.cilium.k8s.policy.serviceaccount=metrics-server
         k8s:io.kubernetes.pod.namespace=kube-system
         k8s:k8s-app=metrics-server
         k8s:version=v0.6.3

```


#### Policy get

```
:
 []
Revision: 63

```


#### Cilium memory map


```
00400000-02d98000 r-xp 00000000 08:01 15686                              /usr/bin/cilium-agent
02d98000-05f54000 r--p 02998000 08:01 15686                              /usr/bin/cilium-agent
05f54000-060a9000 rw-p 05b54000 08:01 15686                              /usr/bin/cilium-agent
060a9000-06837000 rw-p 00000000 00:00 0 
c000000000-c005800000 rw-p 00000000 00:00 0 
c005800000-c008000000 ---p 00000000 00:00 0 
7b81344b7000-7b8134744000 rw-p 00000000 00:00 0 
7b8134744000-7b8134785000 rw-s 00000000 00:0e 22                         anon_inode:[perf_event]
7b8134785000-7b81347c6000 rw-s 00000000 00:0e 22                         anon_inode:[perf_event]
7b81347c6000-7b8134846000 rw-p 00000000 00:00 0 
7b8134846000-7b8134848000 rw-s 00000000 00:0e 22                         anon_inode:[perf_event]
7b8134848000-7b813484a000 rw-s 00000000 00:0e 22                         anon_inode:[perf_event]
7b813484a000-7b8134d60000 rw-p 00000000 00:00 0 
7b8134d60000-7b8134e60000 rw-p 00000000 00:00 0 
7b8134e60000-7b8134f75000 rw-p 00000000 00:00 0 
7b8134f75000-7b8136f75000 rw-p 00000000 00:00 0 
7b8136f75000-7b81470f5000 ---p 00000000 00:00 0 
7b81470f5000-7b81470f6000 rw-p 00000000 00:00 0 
7b81470f6000-7b81670f5000 ---p 00000000 00:00 0 
7b81670f5000-7b81670f6000 rw-p 00000000 00:00 0 
7b81670f6000-7b8178fa5000 ---p 00000000 00:00 0 
7b8178fa5000-7b8178fa6000 rw-p 00000000 00:00 0 
7b8178fa6000-7b817b37b000 ---p 00000000 00:00 0 
7b817b37b000-7b817b37c000 rw-p 00000000 00:00 0 
7b817b37c000-7b817b7f5000 ---p 00000000 00:00 0 
7b817b7f5000-7b817b7f6000 rw-p 00000000 00:00 0 
7b817b7f6000-7b817b875000 ---p 00000000 00:00 0 
7b817b875000-7b817b8d5000 rw-p 00000000 00:00 0 
7ffe633c8000-7ffe633e9000 rw-p 00000000 00:00 0                          [stack]
7ffe633ea000-7ffe633ee000 r--p 00000000 00:00 0                          [vvar]
7ffe633ee000-7ffe633f0000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 --xp 00000000 00:00 0                  [vsyscall]

```


#### Cilium encryption



#### Cilium version

```
1.15.4 9b3f9a8c 2024-04-11T17:25:42-04:00 go version go1.21.9 linux/amd64
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.28 (v1.28.7-gke.1026000) [linux/amd64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideEnvoyConfig", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumEnvoyConfig", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Secrets", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   False   [eth0   10.11.151.68 fe80::4001:aff:fe0b:9744 (Direct Routing)]
Host firewall:          Disabled
SRv6:                   Disabled
CNI Chaining:           none
Cilium:                 Ok   1.15.4 (v1.15.4-9b3f9a8c)
NodeMonitor:            Listening for events on 2 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 8/254 allocated from 10.7.217.0/24, 
Allocated addresses:
  10.7.217.166 (health)
  10.7.217.205 (cilium-test/echo-other-node-d8c5659dc-xtj6l)
  10.7.217.207 (router)
  10.7.217.36 (kube-system/metrics-server-v0.6.3-764c8d87d9-zdf5w [restored])
  10.7.217.43 (gmp-system/collector-d24g4 [restored])
  10.7.217.54 (kube-system/clustermesh-apiserver-94f65c5c8-4gxd2 [restored])
  10.7.217.69 (gmp-system/rule-evaluator-7cb9ffd579-99587 [restored])
  10.7.217.83 (ingress)
ClusterMesh:   1/1 clusters ready, 1 global-services
   cilium-cilium-cli-8885391193-1-1: ready, 2 nodes, 19 endpoints, 16 identities, 1 services, 0 failures (last: never)
   └  etcd: 1/1 connected, leases=0, lock leases=1, has-quorum=true: https://cilium-cilium-cli-8885391193-1-1.mesh.cilium.io:2379 - 3.5.13 (Leader)
   └  remote configuration: expected=true, retrieved=true, cluster-id=1, kvstoremesh=false, sync-canaries=true
   └  synchronization status: nodes=true, endpoints=true, identities=true, services=true
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      52/52 healthy
  Name                                                                Last success   Last error   Count   Message
  bpf-map-sync-cilium_lxc                                             13s ago        never        0       no error   
  cilium-health-ep                                                    47s ago        never        0       no error   
  dns-garbage-collector-job                                           49s ago        never        0       no error   
  endpoint-111-regeneration-recovery                                  never          never        0       no error   
  endpoint-220-regeneration-recovery                                  never          never        0       no error   
  endpoint-232-regeneration-recovery                                  never          never        0       no error   
  endpoint-3754-regeneration-recovery                                 never          never        0       no error   
  endpoint-4054-regeneration-recovery                                 never          never        0       no error   
  endpoint-5-regeneration-recovery                                    never          never        0       no error   
  endpoint-63-regeneration-recovery                                   never          never        0       no error   
  endpoint-747-regeneration-recovery                                  never          never        0       no error   
  endpoint-gc                                                         2m49s ago      never        0       no error   
  ep-bpf-prog-watchdog                                                18s ago        never        0       no error   
  ipcache-inject-labels                                               48s ago        12m48s ago   0       no error   
  k8s-heartbeat                                                       19s ago        never        0       no error   
  link-cache                                                          18s ago        never        0       no error   
  remote-etcd-cilium-cilium-cli-8885391193-1-1                        12m48s ago     never        0       no error   
  resolve-identity-220                                                2m48s ago      never        0       no error   
  resolve-identity-5                                                  2m47s ago      never        0       no error   
  resolve-identity-747                                                2m26s ago      never        0       no error   
  resolve-labels-/                                                    12m48s ago     never        0       no error   
  resolve-labels-cilium-test/echo-other-node-d8c5659dc-xtj6l          12m26s ago     never        0       no error   
  resolve-labels-gmp-system/collector-d24g4                           12m44s ago     never        0       no error   
  resolve-labels-gmp-system/rule-evaluator-7cb9ffd579-99587           12m44s ago     never        0       no error   
  resolve-labels-kube-system/clustermesh-apiserver-94f65c5c8-4gxd2    12m43s ago     never        0       no error   
  resolve-labels-kube-system/metrics-server-v0.6.3-764c8d87d9-zdf5w   12m43s ago     never        0       no error   
  restoring-ep-identity (111)                                         12m48s ago     never        0       no error   
  restoring-ep-identity (232)                                         12m48s ago     never        0       no error   
  restoring-ep-identity (3754)                                        12m48s ago     never        0       no error   
  restoring-ep-identity (4054)                                        12m48s ago     never        0       no error   
  restoring-ep-identity (63)                                          12m48s ago     never        0       no error   
  sync-host-ips                                                       48s ago        never        0       no error   
  sync-lb-maps-with-k8s-services                                      12m48s ago     never        0       no error   
  sync-policymap-111                                                  12m44s ago     never        0       no error   
  sync-policymap-232                                                  12m44s ago     never        0       no error   
  sync-policymap-3754                                                 12m44s ago     never        0       no error   
  sync-policymap-4054                                                 12m44s ago     never        0       no error   
  sync-policymap-5                                                    12m43s ago     never        0       no error   
  sync-policymap-63                                                   12m40s ago     never        0       no error   
  sync-policymap-747                                                  12m26s ago     never        0       no error   
  sync-to-k8s-ciliumendpoint (111)                                    8s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (232)                                    8s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (3754)                                   8s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (4054)                                   8s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (747)                                    16s ago        never        0       no error   
  sync-utime                                                          48s ago        never        0       no error   
  template-dir-watcher                                                never          never        0       no error   
  waiting-initial-global-identities-ep (111)                          12m48s ago     never        0       no error   
  waiting-initial-global-identities-ep (232)                          12m48s ago     never        0       no error   
  waiting-initial-global-identities-ep (3754)                         12m48s ago     never        0       no error   
  waiting-initial-global-identities-ep (4054)                         12m48s ago     never        0       no error   
  write-cni-file                                                      12m49s ago     never        0       no error   
Proxy Status:            OK, ip 10.7.217.207, 0 redirects active on ports 10000-20000, Envoy: embedded
Global Identity Range:   min 131072, max 196607
Hubble:                  Ok   Current/Max Flows: 4095/4095 (100.00%), Flows/s: 187.39   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 False
  Socket LB:              Disabled
  Socket LB Tracing:      Disabled
  Socket LB Coverage:     Full
  Devices:                eth0   10.11.151.68 fe80::4001:aff:fe0b:9744 (Direct Routing)
  Mode:                   SNAT
  Backend Selection:      Random
  Session Affinity:       Disabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Disabled 
  - HostPort:       Disabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   Disabled   
```

#### Cilium environment keys

```
derive-masquerade-ip-addr-from-device:
gops-port:9890
nodeport-addresses:
enable-host-firewall:false
enable-ipsec-key-watcher:true
enable-srv6:false
kvstore:
ipv4-node:auto
hubble-export-file-max-backups:5
encryption-strict-mode-allow-remote-node-identities:false
preallocate-bpf-maps:false
l2-pod-announcements-interface:
dnsproxy-lock-timeout:500ms
egress-masquerade-interfaces:
k8s-service-proxy-name:
pprof-port:6060
max-controller-interval:0
log-system-load:false
mesh-auth-gc-interval:5m0s
iptables-random-fully:false
max-connected-clusters:255
cflags:
hubble-event-queue-size:0
node-port-mode:snat
kvstore-periodic-sync:5m0s
skip-cnp-status-startup-clean:false
kube-proxy-replacement:false
monitor-aggregation-interval:5s
enable-endpoint-routes:true
enable-k8s-endpoint-slice:true
tofqdns-pre-cache:
metrics:
external-envoy-proxy:false
endpoint-status:
bpf-ct-timeout-regular-tcp-syn:1m0s
bgp-announce-pod-cidr:false
policy-audit-mode:false
bpf-lb-external-clusterip:false
ipv4-native-routing-cidr:10.0.0.0/9
bypass-ip-availability-upon-restore:false
vlan-bpf-bypass:
policy-cidr-match-mode:
ipv6-pod-subnets:
mesh-auth-mutual-listener-port:0
identity-change-grace-period:5s
iptables-lock-timeout:5s
node-port-range:
bpf-ct-timeout-regular-any:1m0s
k8s-sync-timeout:3m0s
mesh-auth-spire-admin-socket:
proxy-idle-timeout-seconds:60
egress-multi-home-ip-rule-compat:false
conntrack-gc-max-interval:0s
http-request-timeout:3600
pprof:false
clustermesh-config:/var/lib/cilium/clustermesh/
encrypt-interface:
hubble-listen-address::4244
agent-labels:
node-port-bind-protection:true
socket-path:/var/run/cilium/cilium.sock
wireguard-persistent-keepalive:0s
bpf-filter-priority:1
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
enable-pmtu-discovery:false
enable-ipv4:true
bpf-map-event-buffers:
use-cilium-internal-ip-for-ipsec:false
enable-k8s-api-discovery:false
cni-chaining-mode:none
log-opt:
hubble-export-file-path:
dnsproxy-lock-count:131
tofqdns-max-deferred-connection-deletes:10000
config:
proxy-prometheus-port:9964
trace-sock:true
vtep-mac:
debug-verbose:
config-dir:/tmp/cilium/config-map
enable-hubble:true
cmdref:
enable-svc-source-range-check:true
bpf-lb-map-max:65536
enable-cilium-api-server-access:
vtep-cidr:
hubble-redact-http-userinfo:true
bpf-policy-map-max:16384
enable-tracing:false
ipam-default-ip-pool:default
pprof-address:localhost
enable-ipv4-masquerade:true
k8s-service-cache-size:128
vtep-mask:
hubble-event-buffer-capacity:4095
monitor-aggregation:none
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
k8s-namespace:kube-system
k8s-require-ipv6-pod-cidr:false
ipam-multi-pool-pre-allocation:
allow-icmp-frag-needed:true
enable-ipv6:false
ipv4-service-range:auto
dnsproxy-enable-transparent-mode:true
cluster-id:2
enable-health-check-nodeport:true
enable-high-scale-ipcache:false
ipv4-pod-subnets:
join-cluster:false
enable-policy:default
set-cilium-is-up-condition:true
k8s-api-server:
bpf-ct-timeout-service-tcp-grace:1m0s
tofqdns-proxy-response-max-delay:100ms
http-idle-timeout:0
fqdn-regex-compile-lru-size:1024
kvstore-max-consecutive-quorum-errors:2
certificates-directory:/var/run/cilium/certs
enable-ipv4-egress-gateway:false
controller-group-metrics:
bpf-lb-rss-ipv4-src-cidr:
mesh-auth-rotated-identities-queue-size:1024
endpoint-queue-size:25
api-rate-limit:
enable-bpf-masquerade:false
enable-endpoint-health-checking:true
labels:
agent-health-port:9879
enable-remote-node-identity:true
hubble-export-allowlist:
hubble-redact-http-headers-deny:
kvstore-lease-ttl:15m0s
dns-policy-unload-on-shutdown:false
arping-refresh-period:30s
bpf-lb-algorithm:random
identity-gc-interval:15m0s
ipv6-mcast-device:
dnsproxy-concurrency-limit:0
enable-hubble-recorder-api:true
operator-api-serve-addr:127.0.0.1:9234
tofqdns-proxy-port:0
enable-unreachable-routes:false
cgroup-root:/run/cilium/cgroupv2
enable-envoy-config:true
enable-ip-masq-agent:false
hubble-redact-kafka-apikey:false
enable-icmp-rules:true
prometheus-serve-addr:
hubble-export-file-compress:false
tunnel-port:0
lib-dir:/var/lib/cilium
enable-stale-cilium-endpoint-cleanup:true
hubble-disable-tls:false
hubble-recorder-sink-queue-size:1024
enable-host-port:false
enable-cilium-health-api-server-access:
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
version:false
ipam:kubernetes
cni-exclusive:true
tofqdns-endpoint-max-ip-per-hostname:50
hubble-prefer-ipv6:false
hubble-skip-unknown-cgroup-ids:true
conntrack-gc-interval:0s
identity-heartbeat-timeout:30m0s
crd-wait-timeout:5m0s
install-no-conntrack-iptables-rules:false
http-normalize-path:true
ipv4-service-loopback-address:169.254.42.1
nodes-gc-interval:5m0s
bpf-lb-source-range-map-max:0
label-prefix-file:
node-port-acceleration:disabled
bpf-sock-rev-map-max:262144
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
enable-auto-protect-node-port-range:true
ip-allocation-timeout:2m0s
local-router-ipv4:
hubble-export-fieldmask:
operator-prometheus-serve-addr::9963
bpf-fragments-map-max:8192
enable-l2-pod-announcements:false
mesh-auth-queue-size:1024
enable-bgp-control-plane:false
http-retry-timeout:0
mke-cgroup-mount:
vtep-endpoint:
identity-allocation-mode:crd
envoy-log:
enable-cilium-endpoint-slice:false
l2-announcements-lease-duration:15s
dns-max-ips-per-restored-rule:1000
remove-cilium-node-taints:true
kvstore-opt:
loadbalancer-l7-algorithm:round_robin
disable-envoy-version-check:false
ipam-cilium-node-update-rate:15s
k8s-client-burst:20
ipv6-cluster-alloc-cidr:f00d::/64
bpf-lb-service-map-max:0
l2-announcements-renew-deadline:5s
tofqdns-enable-dns-compression:true
enable-identity-mark:true
policy-trigger-interval:1s
bpf-lb-mode:snat
ipv6-service-range:auto
enable-l7-proxy:true
allocator-list-timeout:3m0s
endpoint-gc-interval:5m0s
ipv6-range:auto
bpf-nat-global-max:524288
enable-metrics:true
enable-ipsec:false
cluster-health-port:4240
config-sources:config-map:kube-system/cilium-config
synchronize-k8s-nodes:true
hubble-redact-enabled:false
auto-create-cilium-node-resource:true
enable-xdp-prefilter:false
legacy-turn-off-k8s-event-handover:false
enable-custom-calls:false
exclude-local-address:
cni-chaining-target:
ipv6-native-routing-cidr:
agent-liveness-update-interval:1s
debug:false
bpf-ct-timeout-service-tcp:2h13m20s
policy-queue-size:100
direct-routing-device:
bpf-ct-timeout-service-any:1m0s
install-egress-gateway-routes:false
proxy-max-requests-per-connection:0
custom-cni-conf:false
identity-restore-grace-period:10m0s
k8s-kubeconfig-path:
cilium-endpoint-gc-interval:5m0s
egress-gateway-policy-map-max:16384
enable-vtep:false
tofqdns-idle-connection-grace-period:0s
set-cilium-node-taints:true
enable-l2-announcements:false
bpf-ct-global-tcp-max:524288
bpf-lb-rev-nat-map-max:0
enable-node-port:false
local-max-addr-scope:252
mesh-auth-spiffe-trust-domain:spiffe.cilium
enable-session-affinity:false
enable-health-check-loadbalancer-ip:true
annotate-k8s-node:false
k8s-heartbeat-timeout:30s
routing-mode:native
l2-announcements-retry-period:2s
bpf-lb-maglev-map-max:0
devices:
kvstore-connectivity-timeout:2m0s
bpf-node-map-max:16384
local-router-ipv6:
monitor-queue-size:0
sidecar-istio-proxy-image:cilium/istio_proxy
proxy-gid:1337
enable-nat46x64-gateway:false
bgp-announce-lb-ip:false
log-driver:
enable-ipv4-big-tcp:false
mesh-auth-mutual-connect-timeout:5s
install-iptables-rules:true
http-403-msg:
k8s-require-ipv4-pod-cidr:false
enable-ipv4-fragment-tracking:true
enable-health-checking:true
bpf-auth-map-max:524288
hubble-redact-http-headers-allow:
service-no-backend-response:reject
disable-iptables-feeder-rules:
node-port-algorithm:random
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
cni-log-file:/var/run/cilium/cilium-cni.log
unmanaged-pod-watcher-interval:15
dnsproxy-concurrency-processing-grace-period:0s
bpf-policy-map-full-reconciliation-interval:15m0s
fixed-identity-mapping:
tofqdns-dns-reject-response-code:refused
enable-local-redirect-policy:false
enable-xt-socket-fallback:true
mtu:0
enable-bandwidth-manager:false
endpoint-bpf-prog-watchdog-interval:30s
bpf-root:/sys/fs/bpf
enable-recorder:false
loadbalancer-l7:envoy
bpf-lb-sock-hostns-only:false
enable-bbr:false
read-cni-conf:
route-metric:0
hubble-metrics-server:
mesh-auth-enabled:true
bpf-lb-maglev-table-size:16381
hubble-export-file-max-size-mb:10
enable-service-topology:false
enable-bpf-tproxy:false
ipv4-range:auto
enable-k8s:true
trace-payloadlen:128
tofqdns-min-ttl:0
ip-masq-agent-config-path:/etc/config/ip-masq-agent
bpf-lb-sock:false
k8s-client-qps:10
ipv6-node:auto
enable-well-known-identities:false
ipsec-key-rotation-duration:5m0s
enable-local-node-route:true
encryption-strict-mode-cidr:
monitor-aggregation-flags:all
cluster-name:cilium-cilium-cli-8885391193-1-2
hubble-socket-path:/var/run/cilium/hubble.sock
srv6-encap-mode:reduced
egress-gateway-reconciliation-trigger-interval:1s
restore:true
allow-localhost:auto
max-internal-timer-delay:0s
bpf-lb-acceleration:disabled
enable-external-ips:false
enable-encryption-strict-mode:false
hubble-recorder-storage-path:/var/run/cilium/pcaps
enable-k8s-networkpolicy:true
state-dir:/var/run/cilium
loadbalancer-l7-ports:
enable-host-legacy-routing:false
enable-l2-neigh-discovery:true
bpf-neigh-global-max:524288
bpf-ct-global-any-max:262144
bpf-lb-affinity-map-max:0
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
clustermesh-ip-identities-sync-timeout:1m0s
enable-wireguard-userspace-fallback:false
proxy-connect-timeout:2
hubble-metrics:
hubble-export-denylist:
bpf-lb-rss-ipv6-src-cidr:
enable-runtime-device-detection:false
hubble-flowlogs-config-path:
hubble-monitor-events:
proxy-max-connection-duration-seconds:0
keep-config:false
enable-wireguard:false
cni-external-routing:false
ipsec-key-file:
tunnel-protocol:vxlan
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
disable-endpoint-crd:false
envoy-config-timeout:2m0s
encrypt-node:false
enable-ipv6-masquerade:true
datapath-mode:veth
bpf-map-dynamic-size-ratio:0.0025
prepend-iptables-chains:true
enable-k8s-terminating-endpoint:true
kube-proxy-replacement-healthz-bind-address:
procfs:/host/proc
enable-bpf-clock-probe:false
bpf-ct-timeout-regular-tcp-fin:10s
hubble-redact-http-urlquery:false
bpf-lb-service-backend-map-max:0
enable-monitor:true
enable-ipv6-ndp:false
auto-direct-node-routes:false
bgp-config-path:/var/lib/cilium/bgp/config.yaml
http-retry-count:3
enable-sctp:false
bpf-ct-timeout-regular-tcp:2h13m20s
enable-masquerade-to-route-source:false
mesh-auth-signal-backoff-duration:1s
bpf-lb-dsr-l4-xlate:frontend
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
bpf-lb-dsr-dispatch:opt
enable-ipv6-big-tcp:false
enable-mke:false
http-max-grpc-timeout:0
```


#### Service list

```
ID   Frontend             Service Type   Backend                            
1    10.40.89.1:443       ClusterIP      1 => 10.11.151.66:443 (active)     
2    10.40.89.241:8443    ClusterIP                                         
3    10.40.89.241:443     ClusterIP      1 => 10.7.216.156:10250 (active)   
4    10.40.89.132:80      ClusterIP      1 => 10.7.216.211:8080 (active)    
5    10.11.151.68:31333   NodePort       1 => 10.7.216.211:8080 (active)    
6    0.0.0.0:31333        NodePort       1 => 10.7.216.211:8080 (active)    
7    10.40.89.195:443     ClusterIP      1 => 10.11.151.68:4244 (active)    
8    10.40.89.10:53       ClusterIP      1 => 10.7.216.177:53 (active)      
                                         2 => 10.7.216.213:53 (active)      
9    10.40.89.203:443     ClusterIP      1 => 10.7.217.36:10250 (active)    
10   10.40.89.43:2379     ClusterIP      1 => 10.7.217.54:2379 (active)     
11   10.11.151.68:30492   NodePort       1 => 10.7.217.54:2379 (active)     
12   0.0.0.0:30492        NodePort       1 => 10.7.217.54:2379 (active)     
13   10.11.151.69:2379    LoadBalancer   1 => 10.7.217.54:2379 (active)     
14   10.40.89.136:8080    ClusterIP      1 => 10.7.217.205:8080 (active)    
15   10.11.151.68:32353   NodePort       1 => 10.7.217.205:8080 (active)    
16   0.0.0.0:32353        NodePort       1 => 10.7.217.205:8080 (active)    
```

#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc000b52d00)({
 config: (k8s.ServiceCacheConfig) {
  EnableServiceTopology: (bool) false
 },
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc000ba6f60,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=11) {
  (k8s.ServiceID) cilium-test/echo-other-node-headless: (*k8s.Service)(0xc0026d34a0)(frontends:[]/ports=[http]/selector=map[name:echo-other-node]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc000eb9600)(frontends:[10.40.89.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) gmp-system/gmp-operator: (*k8s.Service)(0xc00179e6e0)(frontends:[10.40.89.241]/ports=[legacy webhook]/selector=map[app.kubernetes.io/component:operator app.kubernetes.io/name:gmp-operator app.kubernetes.io/part-of:gmp]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc00179ea50)(frontends:[10.40.89.10]/ports=[dns-tcp dns]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.Service)(0xc00179eb00)(frontends:[10.40.89.203]/ports=[]/selector=map[k8s-app:metrics-server]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc00179e9a0)(frontends:[10.40.89.195]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) cilium-test/echo-other-node: (*k8s.Service)(0xc0026d2fd0)(frontends:[10.40.89.136]/ports=[http]/selector=map[name:echo-other-node]),
  (k8s.ServiceID) gmp-system/alertmanager: (*k8s.Service)(0xc00179e630)(frontends:[]/ports=[alertmanager]/selector=map[app.kubernetes.io/name:alertmanager]),
  (k8s.ServiceID) kube-system/clustermesh-apiserver: (*k8s.Service)(0xc00179e790)(frontends:[10.40.89.43]/ports=[]/selector=map[k8s-app:clustermesh-apiserver]),
  (k8s.ServiceID) kube-system/clustermesh-apiserver-metrics: (*k8s.Service)(0xc00179e840)(frontends:[]/ports=[apiserv-metrics etcd-metrics]/selector=map[k8s-app:clustermesh-apiserver]),
  (k8s.ServiceID) kube-system/default-http-backend: (*k8s.Service)(0xc00179e8f0)(frontends:[10.40.89.132]/ports=[http]/selector=map[k8s-app:glbc])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=8) {
  (k8s.ServiceID) kube-system/clustermesh-apiserver: (*k8s.EndpointSlices)(0xc001002160)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=27) "clustermesh-apiserver-5frvp": (*k8s.Endpoints)(0xc0021f55f0)(10.7.217.54:2379/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/default-http-backend: (*k8s.EndpointSlices)(0xc001002170)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=26) "default-http-backend-krszb": (*k8s.Endpoints)(0xc0021f5790)(10.7.216.211:8080/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc001002178)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-jl9hj": (*k8s.Endpoints)(0xc0026ee5b0)(10.11.151.67:4244/TCP,10.11.151.68:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc001002188)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-5sqjx": (*k8s.Endpoints)(0xc0021f5a00)(10.7.216.177:53/TCP,10.7.216.177:53/UDP,10.7.216.213:53/TCP,10.7.216.213:53/UDP)
   }
  }),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.EndpointSlices)(0xc001002190)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "metrics-server-865tj": (*k8s.Endpoints)(0xc001862dd0)(10.7.217.36:10250/TCP)
   }
  }),
  (k8s.ServiceID) cilium-test/echo-other-node: (*k8s.EndpointSlices)(0xc0016c02f8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=21) "echo-other-node-t8cm4": (*k8s.Endpoints)(0xc0032a9450)(10.7.217.205:8080/TCP)
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc001002140)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc0021f52b0)(10.11.151.66:443/TCP)
   }
  }),
  (k8s.ServiceID) gmp-system/gmp-operator: (*k8s.EndpointSlices)(0xc001002150)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "gmp-operator-qw4bj": (*k8s.Endpoints)(0xc0021f5450)(10.7.216.156:10250/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) (len=1) {
  (k8s.ServiceID) cilium-test/echo-other-node: (k8s.externalEndpoints) {
   endpoints: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=32) "cilium-cilium-cli-8885391193-1-1": (*k8s.Endpoints)(0xc0032a8820)()
   }
  }
 },
 nodeAddressing: (*tables.nodeAddressing)(0xc000c62840)({
  localNode: (*node.LocalNodeStore)(0xc000002780)({
   Observable: (stream.FuncObservable[github.com/cilium/cilium/pkg/node.LocalNode]) 0x1df7ce0,
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   value: (node.LocalNode) {
    Node: (types.Node) {
     Name: (string) (len=51) "gke-cilium-cilium-cli-88-default-pool-58b80b32-2077",
     Cluster: (string) (len=32) "cilium-cilium-cli-8885391193-1-2",
     IPAddresses: ([]types.Address) (len=3 cap=3) {
      (types.Address) {
       Type: (addressing.AddressType) (len=10) "InternalIP",
       IP: (net.IP) (len=16 cap=16) 10.11.151.68
      },
      (types.Address) {
       Type: (addressing.AddressType) (len=10) "ExternalIP",
       IP: (net.IP) (len=16 cap=16) 35.235.108.172
      },
      (types.Address) {
       Type: (addressing.AddressType) (len=16) "CiliumInternalIP",
       IP: (net.IP) (len=16 cap=16) 10.7.217.207
      }
     },
     IPv4AllocCIDR: (*cidr.CIDR)(0xc0016dc038)(10.7.217.0/24),
     IPv4SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv6AllocCIDR: (*cidr.CIDR)(<nil>),
     IPv6SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv4HealthIP: (net.IP) (len=16 cap=26) 10.7.217.166,
     IPv6HealthIP: (net.IP) <nil>,
     IPv4IngressIP: (net.IP) (len=4 cap=4) 10.7.217.83,
     IPv6IngressIP: (net.IP) <nil>,
     ClusterID: (uint32) 2,
     Source: (source.Source) (len=5) "local",
     EncryptionKey: (uint8) 0,
     Labels: (map[string]string) (len=24) {
      (string) (len=16) "kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=22) "kubernetes.io/hostname": (string) (len=51) "gke-cilium-cilium-cli-88-default-pool-58b80b32-2077",
      (string) (len=38) "cloud.google.com/gke-max-pods-per-node": (string) (len=3) "110",
      (string) (len=38) "failure-domain.beta.kubernetes.io/zone": (string) (len=10) "us-west2-a",
      (string) (len=32) "beta.kubernetes.io/instance-type": (string) (len=16) "e2-custom-2-4096",
      (string) (len=23) "beta.kubernetes.io/arch": (string) (len=5) "amd64",
      (string) (len=38) "cloud.google.com/gke-cpu-scaling-level": (string) (len=1) "2",
      (string) (len=29) "topology.kubernetes.io/region": (string) (len=8) "us-west2",
      (string) (len=18) "kubernetes.io/arch": (string) (len=5) "amd64",
      (string) (len=36) "cloud.google.com/gke-logging-variant": (string) (len=7) "DEFAULT",
      (string) (len=33) "cloud.google.com/gke-provisioning": (string) (len=11) "preemptible",
      (string) (len=38) "cloud.google.com/gke-container-runtime": (string) (len=10) "containerd",
      (string) (len=32) "node.kubernetes.io/instance-type": (string) (len=16) "e2-custom-2-4096",
      (string) (len=29) "cloud.google.com/gke-nodepool": (string) (len=12) "default-pool",
      (string) (len=29) "cloud.google.com/private-node": (string) (len=5) "false",
      (string) (len=31) "cloud.google.com/machine-family": (string) (len=2) "e2",
      (string) (len=32) "cloud.google.com/gke-preemptible": (string) (len=4) "true",
      (string) (len=20) "topology.gke.io/zone": (string) (len=10) "us-west2-a",
      (string) (len=27) "topology.kubernetes.io/zone": (string) (len=10) "us-west2-a",
      (string) (len=36) "cloud.google.com/gke-os-distribution": (string) (len=3) "cos",
      (string) (len=31) "cloud.google.com/gke-stack-type": (string) (len=4) "IPV4",
      (string) (len=21) "beta.kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=30) "cloud.google.com/gke-boot-disk": (string) (len=11) "pd-standard",
      (string) (len=40) "failure-domain.beta.kubernetes.io/region": (string) (len=8) "us-west2"
     },
     Annotations: (map[string]string) {
     },
     NodeIdentity: (uint32) 1,
     WireguardPubKey: (string) "",
     BootID: (string) (len=36) "2d8957fe-298f-4136-8118-58027ad24adb"
    },
    OptOutNodeEncryption: (bool) false,
    UID: (types.UID) (len=36) "4df0d763-642e-4ffd-8c4e-4d175ede451b",
    ProviderID: (string) (len=78) "gce://cilium-pr/us-west2-a/gke-cilium-cilium-cli-88-default-pool-58b80b32-2077"
   },
   emit: (func(node.LocalNode)) 0x1df8580,
   complete: (func(error)) 0x1df8340
  }),
  db: (*statedb.DB)(0xc001804e00)({
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   tables: (map[string]statedb.TableMeta) (len=4) {
    (string) (len=7) "devices": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc00077e730)({
     table: (string) (len=7) "devices",
     smu: (*lock.sortableMutex)(0xc0017bb0e0)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 1,
      acquireDuration: (time.Duration) 2.622µs
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24b07a0,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24b07a0,
       unique: (bool) false
      },
      (string) (len=8) "selected": (statedb.anyIndexer) {
       name: (string) (len=8) "selected",
       fromObject: (func(statedb.object) index.KeySet) 0x24b07a0,
       unique: (bool) false
      }
     }
    }),
    (string) (len=6) "routes": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Route])(0xc00077e780)({
     table: (string) (len=6) "routes",
     smu: (*lock.sortableMutex)(0xc0017bb0f8)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 2,
      acquireDuration: (time.Duration) 708ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24b07a0,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=9) "LinkIndex": (statedb.anyIndexer) {
       name: (string) (len=9) "LinkIndex",
       fromObject: (func(statedb.object) index.KeySet) 0x24b07a0,
       unique: (bool) false
      }
     }
    }),
    (string) (len=14) "node-addresses": (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc00077f090)({
     table: (string) (len=14) "node-addresses",
     smu: (*lock.sortableMutex)(0xc0017bb188)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 3,
      acquireDuration: (time.Duration) 2.179µs
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24b0a00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24b0a00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=11) "l2-announce": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.L2AnnounceEntry])(0xc0008d2320)({
     table: (string) (len=11) "l2-announce",
     smu: (*lock.sortableMutex)(0xc00007cba0)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 4,
      acquireDuration: (time.Duration) 295ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24b07a0,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=6) "origin": (statedb.anyIndexer) {
       name: (string) (len=6) "origin",
       fromObject: (func(statedb.object) index.KeySet) 0x24b07a0,
       unique: (bool) false
      }
     }
    })
   },
   ctx: (*context.cancelCtx)(0xc001b1d180)(context.Background.WithCancel),
   cancel: (context.CancelFunc) 0x4a18e0,
   root: (atomic.Pointer[github.com/hashicorp/go-immutable-radix/v2.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]]) {
    _: ([0]*iradix.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]) {
    },
    _: (atomic.noCopy) {
    },
    v: (unsafe.Pointer) 0xc00038a530
   },
   gcTrigger: (chan struct {}) (cap=1) 0xc001b70960,
   gcExited: (chan struct {}) 0xc001b709c0,
   gcRateLimitInterval: (time.Duration) 1s,
   metrics: (statedb.Metrics) {
    WriteTxnDuration: (*metric.histogramVec)(0xc000b9bd80)({
     ObserverVec: (*prometheus.HistogramVec)(0xc000f774c0)({
      MetricVec: (*prometheus.MetricVec)(0xc000b71e60)({
       metricMap: (*prometheus.metricMap)(0xc0005085a0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc00148ae40)(Desc{fqName: "cilium_statedb_write_txn_duration_seconds", help: "How long a write transaction was held.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18b40
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0fd80,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fdc0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=26) "write_txn_duration_seconds",
       Help: (string) (len=38) "How long a write transaction was held.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    WriteTxnAcquisition: (*metric.histogramVec)(0xc000b9be00)({
     ObserverVec: (*prometheus.HistogramVec)(0xc000f774c8)({
      MetricVec: (*prometheus.MetricVec)(0xc0005086f0)({
       metricMap: (*prometheus.metricMap)(0xc000508720)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc00148aea0)(Desc{fqName: "cilium_statedb_write_txn_acquisition_seconds", help: "How long it took to acquire a write transaction for all tables.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18b40
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0fd80,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fdc0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "write_txn_acquisition_seconds",
       Help: (string) (len=63) "How long it took to acquire a write transaction for all tables.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableContention: (*metric.gaugeVec)(0xc000b9be80)({
     GaugeVec: (*prometheus.GaugeVec)(0xc000f774d0)({
      MetricVec: (*prometheus.MetricVec)(0xc000508990)({
       metricMap: (*prometheus.metricMap)(0xc000508ab0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc00148af00)(Desc{fqName: "cilium_statedb_table_contention_seconds", help: "How long writers were blocked while waiting to acquire a write transaction for a specific table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10360
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0fd80,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fdc0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=24) "table_contention_seconds",
       Help: (string) (len=96) "How long writers were blocked while waiting to acquire a write transaction for a specific table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableObjectCount: (*metric.gaugeVec)(0xc000b9bf00)({
     GaugeVec: (*prometheus.GaugeVec)(0xc000f774d8)({
      MetricVec: (*prometheus.MetricVec)(0xc000508f30)({
       metricMap: (*prometheus.metricMap)(0xc000508f60)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc00148af60)(Desc{fqName: "cilium_statedb_table_objects", help: "The amount of objects in a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10360
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0fd80,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fdc0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=13) "table_objects",
       Help: (string) (len=39) "The amount of objects in a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableRevision: (*metric.gaugeVec)(0xc000b9bf80)({
     GaugeVec: (*prometheus.GaugeVec)(0xc000f774e0)({
      MetricVec: (*prometheus.MetricVec)(0xc000509290)({
       metricMap: (*prometheus.metricMap)(0xc000509500)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc00148afc0)(Desc{fqName: "cilium_statedb_table_revision", help: "The current revision of a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10360
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0fd80,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fdc0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=14) "table_revision",
       Help: (string) (len=38) "The current revision of a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableDeleteTrackerCount: (*metric.gaugeVec)(0xc000b52000)({
     GaugeVec: (*prometheus.GaugeVec)(0xc000f774e8)({
      MetricVec: (*prometheus.MetricVec)(0xc000509680)({
       metricMap: (*prometheus.metricMap)(0xc0005099e0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc00148b020)(Desc{fqName: "cilium_statedb_table_delete_trackers", help: "The amount of delete trackers for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10360
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0fd80,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fdc0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=21) "table_delete_trackers",
       Help: (string) (len=48) "The amount of delete trackers for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardObjectCount: (*metric.gaugeVec)(0xc000b52080)({
     GaugeVec: (*prometheus.GaugeVec)(0xc000f774f0)({
      MetricVec: (*prometheus.MetricVec)(0xc000509b90)({
       metricMap: (*prometheus.metricMap)(0xc000509bf0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc00148b080)(Desc{fqName: "cilium_statedb_table_graveyard_objects", help: "The amount of objects in the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10360
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0fd80,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fdc0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=23) "table_graveyard_objects",
       Help: (string) (len=57) "The amount of objects in the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardLowWatermark: (*metric.gaugeVec)(0xc000b52100)({
     GaugeVec: (*prometheus.GaugeVec)(0xc000f774f8)({
      MetricVec: (*prometheus.MetricVec)(0xc000509fb0)({
       metricMap: (*prometheus.metricMap)(0xc000b68030)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc00148b0e0)(Desc{fqName: "cilium_statedb_table_graveyard_low_watermark", help: "The lowest revision of a given table that has been processed by the graveyard garbage collector.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10360
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0fd80,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fdc0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "table_graveyard_low_watermark",
       Help: (string) (len=96) "The lowest revision of a given table that has been processed by the graveyard garbage collector.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardCleaningDuration: (*metric.histogramVec)(0xc000b52180)({
     ObserverVec: (*prometheus.HistogramVec)(0xc000f77500)({
      MetricVec: (*prometheus.MetricVec)(0xc000b68540)({
       metricMap: (*prometheus.metricMap)(0xc000b68570)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc00148b140)(Desc{fqName: "cilium_statedb_table_graveyard_cleaning_duration_seconds", help: "The time it took to clean the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18b40
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0fd80,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fdc0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=41) "table_graveyard_cleaning_duration_seconds",
       Help: (string) (len=58) "The time it took to clean the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    })
   }
  }),
  nodeAddresses: (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc00077f090)({
   table: (string) (len=14) "node-addresses",
   smu: (*lock.sortableMutex)(0xc0017bb188)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 3,
    acquireDuration: (time.Duration) 2.179µs
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24b0a00,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24b0a00,
     unique: (bool) false
    }
   }
  }),
  devices: (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc00077e730)({
   table: (string) (len=7) "devices",
   smu: (*lock.sortableMutex)(0xc0017bb0e0)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 1,
    acquireDuration: (time.Duration) 2.622µs
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24b07a0,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24b07a0,
     unique: (bool) false
    },
    (string) (len=8) "selected": (statedb.anyIndexer) {
     name: (string) (len=8) "selected",
     fromObject: (func(statedb.object) index.KeySet) 0x24b07a0,
     unique: (bool) false
    }
   }
  })
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations

